local L = LibStub("AceLocale-3.0"):GetLocale("Deadpool", true)

StaticPopupDialogs["NOT_ENOUGH_CREDITS"] = {
	text = L["NOT_ENOUGH_CREDITS"],
	button1 = ACCEPT,
	button2 = CANCEL,
	OnAccept = function (self, data)
		local enoughItems, newCredits = Deadpool_dropAnItem(data["char"], data["howManyGarment"])
		if enoughItems then
			saveDeadpoolBets(data["session"], data["char"], data["betChar"], data["nextDeathBet"], data["afterTransactionCredits"] + newCredits)
		end
	end,
	timeout = 0,
	whileDead = true,
	hideOnEscape = true,
	preferredIndex = 3,  -- avoid some UI taint, see http://www.wowace.com/announcements/how-to-avoid-some-ui-taint/
}

deadpoolUndressingOrder = {
	[1] = { ["slot"] = 1, ["slotLabel"] = "Head" },
	[2] = { ["slot"] = 6, ["slotLabel"] = "Waist" },
	[3] = { ["slot"] = 3, ["slotLabel"] = "Shoulders" },
	[4] = { ["slot"] = 8, ["slotLabel"] = "Feet" },
	[5] = { ["slot"] = 10, ["slotLabel"] = "Hands" },
	[6] = { ["slot"] = 9, ["slotLabel"] = "Wrists" },
	[7] = { ["slot"] = 5, ["slotLabel"] = "Chest" },
	[8] = { ["slot"] = 7, ["slotLabel"] = "Legs" },
}

deadpoolChipTextureString = "|TInterface\\AddOns\\Deadpool\\art\\chip:16:16:0:0|t"
